export declare class GovLifecycle {
    private readonly uniqueId;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentShouldUpdate(): void;
    componentWillRender(): void;
    componentDidRender(): void;
    componentWillUpdate(): void;
    componentDidUpdate(): void;
    render(): any;
}
